<?php

function strapvert_custom_customize_register($wp_customize) {
   
   // General Options
   // Setting group for header
   $wp_customize->add_section( 'strapvert_header_options' , array(
    'title'      => __('Logo Options','strapvert'),
    'priority'   => 30,
   ) );
      
   // Setting group for social icons
   $wp_customize->add_section( 'strapvert_social_options' , array(
    'title'      => __('Social Options','strapvert'),
    'priority'   => 36,
   ) );
   
   $wp_customize->add_section( 'strapvert_footer_options' , array(
    'title'      => __('Footer Options','strapvert'),
    'priority'   => 37,
   ) );

/**
 * Lets begin adding our own settings and controls for this theme
 * Plus organize it in sequence in each setting group with a priority level
 */
		
	// === Begin The Logo Section === //
	
    //  Logo Image Upload
    $wp_customize->add_setting('header_logo_image', array(
        'default-image'  => get_template_directory_uri() . '/img/logo.png',
		'type'           => 'theme_mod',
        'capability'     => 'edit_theme_options',
    ));
 
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize, 'header_logo_image', array(
        'label'    => __('Header Logo Image', 'strapvert'),
        'section'  => 'strapvert_header_options',
		'priority' => 1,
        'settings' => 'header_logo_image',
    )));
	
	$control = $wp_customize->get_control( 'header_logo_image' );
    $control->add_tab( 'default', __('Built-In', 'strapvert'), function() {
        $headerbackgrounds = array(
			'img/logo.png',
        );

        global $wp_customize;
        $control = $wp_customize->get_control( 'header_logo_image' );

        foreach ( (array) $headerbackgrounds as $background )
            $control->print_tab_image( esc_url_raw( get_stylesheet_directory_uri() . '/' . $background ) );
    } );
    		
	// == Social Links Icons Section == //
    // Begin Header Social Icons	
	$wp_customize->add_setting(
    'strapvert_social_visibility'
    );

    $wp_customize->add_control(
    'strapvert_social_visibility',
    array(
        'type' => 'checkbox',
        'label' => __('Show Social Icons?','strapvert'),
        'section' => 'strapvert_social_options',
		'priority' => 10,
        )
    );
	$wp_customize->add_setting(
    'strapvert_facebook_url',
    array(
        'default' => '',
    ));
	
	$wp_customize->add_control(
    'strapvert_facebook_url',
    array(
        'label' => __('Facebook URL','strapvert'),
        'section' => 'strapvert_social_options',
		'priority' => 11,
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
    'strapvert_gplus_url',
    array(
        'default' => '',
    ));
	
	$wp_customize->add_control(
    'strapvert_gplus_url',
    array(
        'label' => __('Google+ URL','strapvert'),
        'section' => 'strapvert_social_options',
		'priority' => 12,
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
    'strapvert_twitter_url',
    array(
        'default' => '',
    ));
	
	$wp_customize->add_control(
    'strapvert_twitter_url',
    array(
        'label' => __('Twitter URL','strapvert'),
        'section' => 'strapvert_social_options',
		'priority' => 13,
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
    'strapvert_pinterest_url',
    array(
        'default' => '',
    ));
	
	$wp_customize->add_control(
    'strapvert_pinterest_url',
    array(
        'label' => __('Pinterest URL','strapvert'),
        'section' => 'strapvert_social_options',
		'priority' => 14,
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
    'strapvert_linkedin_url',
    array(
        'default' => '',
    ));
	
	$wp_customize->add_control(
    'strapvert_linkedin_url',
    array(
        'label' => __('LinkedIn URL','strapvert'),
        'section' => 'strapvert_social_options',
		'priority' => 15,
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
    'strapvert_youtube_url',
    array(
        'default' => '',
    ));
	
	$wp_customize->add_control(
    'strapvert_youtube_url',
    array(
        'label' => __('YouTube URL','strapvert'),
        'section' => 'strapvert_social_options',
		'priority' => 16,
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
    'strapvert_flicker_url',
    array(
        'default' => '',
    ));
	
	$wp_customize->add_control(
    'strapvert_flicker_url',
    array(
        'label' => __('Flicker URL','strapvert'),
        'section' => 'strapvert_social_options',
		'priority' => 17,
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
    'strapvert_wordpress_url',
    array(
        'default' => '',
    ));
	
	$wp_customize->add_control(
    'strapvert_wordpress_url',
    array(
        'label' => __('WordPress URL','strapvert'),
        'section' => 'strapvert_social_options',
		'priority' => 18,
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
    'strapvert_github_url',
    array(
        'default' => '',
    ));
	
	$wp_customize->add_control(
    'strapvert_github_url',
    array(
        'label' => __('GitHub URL','strapvert'),
        'section' => 'strapvert_social_options',
		'priority' => 19,
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
    'strapvert_dribbble_url',
    array(
        'default' => '',
    ));
	
	$wp_customize->add_control(
    'strapvert_dribbble_url',
    array(
        'label' => __('Dribbble URL','strapvert'),
        'section' => 'strapvert_social_options',
		'priority' => 20,
        'type' => 'text',
    ));
	
	$wp_customize->add_setting(
    'strapvert_rss_url',
    array(
        'default' => '',
    ));
	
	$wp_customize->add_control(
    'strapvert_rss_url',
    array(
        'label' => __('RSS Feed URL','strapvert'),
        'section' => 'strapvert_social_options',
		'priority' => 21,
        'type' => 'text',
    ));
}
add_action( 'customize_register', 'strapvert_custom_customize_register' );
